/*
// Created by Tiny on 3/18/2021.
*/

#ifndef MAIN_C_TEST_PROF_H
#define MAIN_C_TEST_PROF_H

#include <gtest/gtest.h>
extern "C"{
#include "prof.h"
}

TEST(test_init_prof,values_3_3_3_3_3_testimage){
	int times=500000000;
    Prof prof;
    init_prof(&prof,3,3,3,3,3,"testimage");
    EXPECT_EQ(3,prof.x_prof);
    EXPECT_EQ(3,prof.y_prof);
    EXPECT_EQ(3,prof.long_prof);
    EXPECT_EQ(3,prof.larg_prof);
    EXPECT_STREQ("testimage",prof.image_prof);
	while(times>0) times--;                        //this do nothing but it looks cool ^^
}
TEST(test_calcul_point_prof,values_3_3){
	int times=500000000;
    Prof prof;
    init_prof(&prof,3,3,3,3,3,"testimage");
    calcul_points_prof(&prof);
    EXPECT_EQ(6,prof.x_hr);
    EXPECT_EQ(3,prof.y_hr);
    EXPECT_EQ(3,prof.x_ll);
    EXPECT_EQ(6,prof.y_ll);
    EXPECT_EQ(6,prof.x_lr);
    EXPECT_EQ(6,prof.y_lr);
	while(times>0) times--;   
}

#endif /*MAIN_C_TEST_PROF_H*/
